Bug 223234 - Wrong min-score causes erroneous 'downgrade' + reboot
Summary: Wrong min-score causes erroneous 'downgrade' + reboot
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 223240
TreeView+ depends on / blocked
 
Reported: 2007-01-18 16:09 UTC by Lon Hohberger
Modified: 2009-04-16 20:21 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0134
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 21:05:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0134 normal SHIPPED_LIVE cman bug fix update 2007-05-10 21:04:00 UTC

Description Lon Hohberger 2007-01-18 16:09:44 UTC
Description of problem:

[5609] info: Quorum Partition: /dev/sdd1 Label: lon
[5609] info: Quorum Daemon Initializing
[5609] info: Initial score 11/11
[5609] info: Initialization complete
[5609] notice: Score insufficient for master operation (11/20; max=11); downgrading
(reboot)

Version-Release number of selected component (if applicable): All.

How reproducible: 100%


Steps to Reproduce:
1. configure heuristics with total score < qdisk min_score
2. start qdiskd
3. (boom)
  
Actual results: reboot

Expected results: Note configuration error and/or run w/o qdisk votes.

Comment 1 Lon Hohberger 2007-01-18 16:39:22 UTC
New behavior:

(Heuristics possible):

[4350] info: Quorum Partition: /dev/sdb1 Label: lon
[4350] info: Quorum Daemon Initializing
[4350] info: Initial score 10/11
[4350] info: Initialization complete
[4350] notice: Score sufficient for master operation (10/10; max=11); upgrading
[4350] debug: Making bid for master
[4350] info: Assuming master role

(Heuristics impossible):

[4440] info: Quorum Partition: /dev/sdb1 Label: lon
[4440] info: Quorum Daemon Initializing
[4440] info: Initial score 11/11
[4440] info: Initialization complete
[4440] warning: Minimum score (20) is impossible to achieve (heuristic total = 11)

(no reboot)


Comment 2 Lon Hohberger 2007-01-22 22:52:06 UTC
Fixes in CVS; RHEL4 / RHEL5 / head branches.

Comment 5 Red Hat Bugzilla 2007-05-10 21:05:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0134.html



Note You need to log in before you can comment on or make changes to this bug.